Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.util.xml
Interface Deserializer

All Known Implementing Classes:
  ArraySerializer, Base64Serializer, BeanMultiRefSerializer, BeanSerializer, BooleanDeserializer, BooleanObjectDeserializer, ByteDeserializer, ByteObjectDeserializer, CalendarSerializer, DateSerializer, DecimalDeserializer, DocumentFragmentSerializer, DocumentSerializer, DoubleDeserializer, DoubleObjectDeserializer, EjbArray, EjbSerializer, EjbStruct, EjbVector, FloatDeserializer, FloatObjectDeserializer, HashtableSerializer, HexDeserializer, IntDeserializer, IntObjectDeserializer, LongDeserializer, LongObjectDeserializer, MapSerializer, MimePartSerializer, ParameterSerializer, QNameSerializer, ShortDeserializer, ShortObjectDeserializer, StringDeserializer, TypeMappingSerializer, UrTypeDeserializer, VectorSerializer, XMLParameterSerializer

public interface Deserializer

A `Deserializer` ...

Method Summary
`Bean` | `unmarshall(java.lang.String inScopeEncStyle, QName elementType, Node src, XMLJavaMappingRegistry xjmr, SOAPContext ctx)`

Method Detail

### unmarshall

    public Bean unmarshall(java.lang.String inScopeEncStyle,
                           QName elementType,
                           Node src,
                           XMLJavaMappingRegistry xjmr,
                           SOAPContext ctx)
                    throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.